# AtomStyles-LapisLazuli_MadokaMagika

github製テキストエディタ「Atom」のスタイルシートです．「カスタムメイド」ならぬ「カスタムAtom」作成のご参考になればと思います．

Mac版Atomでダーク系テーマに最適．

もし，「バグり散らかしとる」，「使われんじゃボケェ」などあれば日本語で具体的にご指摘いただけると幸いです．

## イメージ
<img src="img/ScreenShot.png" width="1000px">

## 推奨環境

  - OS:macOS Mojave 10.14.6
  - macOS版Atom 1.60.0
  - Show Ideographic space: 全角スペース可視化プラグインが入っているとなお良し

## できること

  - 背景
    - 作業スペース全体の背景色，背景画像の設定
    - 各ペインごとの背景色，背景画像の設定
  - ペイン
    - ペイン分割線色の変更
    - ツールバー，タブバーとの境界線色の変更
    - 文字色，文字フォントの変更
    - 各種ボタンの枠線色，背景色，文字色，文字フォントの設定
  - タブ
    - タブバー背景色の変更
    - タブ文字フォント，文字色の変更
    - アクティブタブ背景色，インジケーター色，文字フォント，文字色，文字サイズの変更
    - アクティブペインタブ背景色，インジケーター色，文字フォント，文字色，文字サイズの変更
  - エディタ部分
    - 行番号表示部の背景色変更
    - 行番号の文字フォント，文字色，文字サイズの変更
    - カーソルライン行番号の背景色，文字色，文字サイズの変更
    - テキスト選択中の行番号の背景色，文字色，文字フォント，文字サイズの変更
    - カーソル色の変更
    - カーソルライン水平線色，垂直線色の変更
    - テキスト選択部分の背景色変更
    - 全角スペース背景色，代替文字，文字色の変更
    - コメント文字色の変更

〜and more〜

## 適用方法

  1. 緑色のボタン「Clone or download」＞「Download ZIP」をクリックし，AtomStylesをダウンロードする．
  2. ダウンロードしたzipフォルダを解凍する．解凍後のフォルダを「~/.atom」に保存する．
  3. Atom.appを起動し，メニューバー の「Atom」＞「スタイルシート」を選択する．「styles.less」ファイルが開く．
  4. 「styles.less」ファイルの「atom-workspace」前に
      <pre><code>@import "(解凍後のフォルダ名)/AtomStyles.less";</code></pre>
      を記述する．

      例1）解凍後のフォルダ名が「AtomStyles-master」の場合，
        <pre><code>@import "AtomStyles-master/AtomStyles.less";</code></pre>
        を記述する．

      例2）解凍後のフォルダ名が「AtomStyles-ver_5.0.0」の場合，
        <pre><code>@import "AtomStyles-ver_5.0.0/AtomStyles.less";</code></pre>
        を記述する．

  5. 「styles.less」ファイルを上書き保存する．
  6. 「~/.atom/AtomStyles/dark/general/settings」内の各ファイルを編集して自分好みのエディタを作成する．編集するファイルは以下の通り．
     - background.less:背景画像の変更
     - color:各種文字色の変更
     - fonts:各種文字フォントの変更
  7. 行った変更はAtomのスタイルシート「styles.less」ファイルを上書き保存すると適用される．
